Package ru.bitel.bgbilling.plugins.assistant.server.bean

# Class AssistantResponse

java.lang.Object
ru.bitel.bgbilling.plugins.assistant.server.bean.AssistantResponse

    public class AssistantResponse
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AssistantResponse()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `addFieldData​(java.lang.String key, boolean value)` |
  `void` | `addFieldData​(java.lang.String key, java.lang.String value)` |
  `void` | `addFieldData​(java.lang.String key, java.time.LocalDate value)` |
  `void` | `addFieldData​(java.lang.String key, java.util.Set<java.lang.Integer> contractIds, java.lang.String title)` |
  `void` | `addFieldData​(java.lang.String key, org.json.JSONObject value)` |
  `void` | `addFieldData​(java.lang.String key, AssistantKeyValue[] values)` |
  `java.lang.String` | `getError()` |
  `java.lang.String` | `getErrorTitle()` |
  `java.util.Map<java.lang.String,​java.lang.Object>` | `getFieldValues()` |
  `java.lang.String` | `getNextActionId()` |
  `AssistantResponseStatus` | `getStatus()` |
  `void` | `setError​(java.lang.String error)` |
  `void` | `setError​(java.lang.String error, java.lang.String errorTitle)` |
  `void` | `setErrorTitle​(java.lang.String errorTitle)` |
  `void` | `setNextActionId​(java.lang.String nextActionId)` |
  `void` | `setStatus​(AssistantResponseStatus status)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssistantResponse

    public AssistantResponse()

- ## Method Details

  - ### getStatus

    public AssistantResponseStatus getStatus()

  - ### setStatus

    public void setStatus​(AssistantResponseStatus status)

  - ### getError

    public java.lang.String getError()

  - ### setError

    public void setError​(java.lang.String error)

  - ### setError

    public void setError​(java.lang.String error, java.lang.String errorTitle)

  - ### getNextActionId

    public java.lang.String getNextActionId()

  - ### setNextActionId

    public void setNextActionId​(java.lang.String nextActionId)

  - ### addFieldData

    public void addFieldData​(java.lang.String key, AssistantKeyValue[] values)

  - ### addFieldData

    public void addFieldData​(java.lang.String key, java.time.LocalDate value)

  - ### addFieldData

    public void addFieldData​(java.lang.String key, java.lang.String value)

  - ### addFieldData

    public void addFieldData​(java.lang.String key, boolean value)

  - ### addFieldData

    public void addFieldData​(java.lang.String key, java.util.Set<java.lang.Integer> contractIds, java.lang.String title)

  - ### addFieldData

    public void addFieldData​(java.lang.String key, org.json.JSONObject value)

  - ### getFieldValues

    public java.util.Map<java.lang.String,​java.lang.Object> getFieldValues()

  - ### setErrorTitle

    public void setErrorTitle​(java.lang.String errorTitle)

  - ### getErrorTitle

    public java.lang.String getErrorTitle()